# Uses of Class
org.eclipse.ltk.core.refactoring.RefactoringStatusEntry

Packages that use RefactoringStatusEntry
Package
Description
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.
org.eclipse.ltk.ui.refactoring.history
Application programming interface to display and preview refactoring history information.

## Uses of RefactoringStatusEntry in org.eclipse.ltk.core.refactoring

Methods in org.eclipse.ltk.core.refactoring that return RefactoringStatusEntry
Modifier and Type
Method
Description
`RefactoringStatusEntry[]`
RefactoringStatus.`getEntries()`
Returns the list of refactoring status entries.
`RefactoringStatusEntry[]`
RefactoringStatus.`getEntries(IRefactoringStatusEntryComparator comparator, RefactoringStatusEntry entry)`
Returns a list of refactoring status entries which are considered equal to the specified status entry.
`RefactoringStatusEntry`
RefactoringStatus.`getEntryAt(int index)`
Returns the `RefactoringStatusEntry` at the specified index.
`RefactoringStatusEntry`
RefactoringStatus.`getEntryMatchingCode(String pluginId, int code)`
Returns the first entry managed by this refactoring status that matches the given plug-in identifier and code.
`RefactoringStatusEntry`
RefactoringStatus.`getEntryMatchingSeverity(int severity)`
Returns the first entry which severity is equal or greater than the given severity.
`RefactoringStatusEntry`
RefactoringStatus.`getEntryWithHighestSeverity()`
Returns the entry with the highest severity.
Methods in org.eclipse.ltk.core.refactoring with parameters of type RefactoringStatusEntry
Modifier and Type
Method
Description
`void`
RefactoringStatus.`addEntry(RefactoringStatusEntry entry)`
Adds the given `RefactoringStatusEntry`.
`int`
IRefactoringStatusEntryComparator.`compare(RefactoringStatusEntry entry1, RefactoringStatusEntry entry2)`
Compares two refactoring status entries for order.
`RefactoringStatusEntry[]`
RefactoringStatus.`getEntries(IRefactoringStatusEntryComparator comparator, RefactoringStatusEntry entry)`
Returns a list of refactoring status entries which are considered equal to the specified status entry.

## Uses of RefactoringStatusEntry in org.eclipse.ltk.ui.refactoring.history

Methods in org.eclipse.ltk.ui.refactoring.history with parameters of type RefactoringStatusEntry
Modifier and Type
Method
Description
`protected boolean`
RefactoringHistoryWizard.`selectStatusEntry(RefactoringStatusEntry entry)`
Hook method which is called for each status entry before it is displayed in a wizard page.